summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGunnar Wrobel <p@rdus.de>2008-06-02 15:39:23 +0000
committerGunnar Wrobel <p@rdus.de>2008-06-02 15:39:23 +0000
commit5e3670d4e9fdc232fabeb8de2edec0143e80e8cf (patch)
treede397580d970deafab73c4d28fc2349415aaf9d6
parent673b2d5727548582f27a0ff4fbf60f1395257649 (diff)
downloadlayman-5e3670d4e9fdc232fabeb8de2edec0143e80e8cf.tar.gz
layman-5e3670d4e9fdc232fabeb8de2edec0143e80e8cf.tar.bz2
layman-5e3670d4e9fdc232fabeb8de2edec0143e80e8cf.zip
Ebuild for 1.2.0.
-rw-r--r--ChangeLog2
-rw-r--r--ebuild/layman-1.1.1.ebuild77
-rw-r--r--ebuild/layman-1.2.0.ebuild87
3 files changed, 89 insertions, 77 deletions
diff --git a/ChangeLog b/ChangeLog
index 3308fa7..526cd8d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,7 @@
2008-06-02 Gunnar Wrobel <p@rdus.de>
+ * ebuild/layman-1.2.0.ebuild: Ebuild for 1.2.0
+
* etc/layman.cfg (nocheck): Set nocheck to yes.
* layman/version.py: Mark version 1.2.0
diff --git a/ebuild/layman-1.1.1.ebuild b/ebuild/layman-1.1.1.ebuild
deleted file mode 100644
index f246993..0000000
--- a/ebuild/layman-1.1.1.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-portage/layman/layman-1.0.10.ebuild,v 1.1 2007/01/09 18:01:15 wrobel Exp $
-
-inherit eutils distutils
-
-DESCRIPTION="A python script for retrieving gentoo overlays."
-HOMEPAGE="http://projects.gunnarwrobel.de/scripts"
-SRC_URI="http://build.pardus.de/downloads/${PF}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
-IUSE=""
-S=${WORKDIR}/${PF}
-
-DEPEND=""
-RDEPEND=""
-
-pkg_setup() {
- if has_version dev-util/subversion && built_with_use dev-util/subversion nowebdav; then
- eerror "You must rebuild your subversion without the nowebdav USE flag"
- die "You must rebuild your subversion without the nowebdav USE flag"
- fi
-}
-
-src_install() {
-
- distutils_src_install
-
- dodir /etc/layman
- cp etc/* ${D}/etc/layman/
-
- doman doc/layman.8
- dohtml doc/layman.8.html
-
-}
-
-src_test() {
- cd ${S}
- einfo "Running layman doctests..."
- echo
- if ! PYTHONPATH="." ${python} layman/tests/dtest.py; then
- eerror "DocTests failed - please submit a bug report"
- die "DocTesting failed!"
- fi
-}
-
-pkg_postinst() {
- einfo "You are now ready to add overlays into your system."
- einfo
- einfo "layman -L"
- einfo
- einfo "will display a list of available overlays."
- einfo
- ewarn "Use the -k switch to also list overlays that are"
- ewarn "considered less secure."
- einfo
- elog "Select an overlay and add it using"
- einfo
- elog "layman -a overlay-name"
- einfo
- elog "If this is the very first overlay you add with layman,"
- elog "you need to append the following statement to your"
- elog "/etc/make.conf file:"
- elog
- elog "source /usr/portage/local/layman/make.conf"
- elog
- elog "If you modify the 'storage' parameter in the layman"
- elog "configuration file (/etc/layman/layman.cfg) you will"
- elog "need to adapt the path given above to the new storage"
- elog "directory."
- einfo
- ewarn "Please add the 'source' statement to make.conf only AFTER "
- ewarn "you added your first overlay. Otherwise portage will fail."
- epause 5
-}
diff --git a/ebuild/layman-1.2.0.ebuild b/ebuild/layman-1.2.0.ebuild
new file mode 100644
index 0000000..fcd24de
--- /dev/null
+++ b/ebuild/layman-1.2.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/layman/layman-1.1.1-r1.ebuild,v 1.3 2008/03/20 16:17:29 jokey Exp $
+
+inherit eutils distutils
+
+DESCRIPTION="A python script for retrieving gentoo overlays."
+HOMEPAGE="http://layman.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="darcs git subversion test"
+
+DEPEND="test? ( dev-util/subversion )"
+RDEPEND="darcs? ( dev-util/darcs )
+ git? ( dev-util/git )
+ subversion? ( dev-util/subversion )"
+
+pkg_setup() {
+ if has_version dev-util/subversion && \
+ (! built_with_use --missing true dev-util/subversion webdav || built_with_use --missing false dev-util/subversion nowebdav); then
+ eerror "You must rebuild your Subversion with support for WebDAV."
+ die "You must rebuild your Subversion with support for WebDAV"
+ fi
+ if ! has_version dev-util/subversion; then
+ ewarn "You do not have dev-util/subversion installed!"
+ ewarn "While layman does not exactly depend on this"
+ ewarn "version control system you should note that"
+ ewarn "most available overlays are offered via"
+ ewarn "dev-util/subversion. If you do not install it"
+ ewarn "you will be unable to use these overlays."
+ ewarn
+ fi
+}
+
+src_install() {
+
+ distutils_src_install
+
+ dodir /etc/layman
+
+ cp etc/* "${D}"/etc/layman/
+
+ doman doc/layman.8
+ dohtml doc/layman.8.html
+
+ keepdir /usr/local/portage/layman
+ touch "${D}"/usr/local/portage/layman/make.conf
+}
+
+src_test() {
+ einfo "Running layman doctests..."
+ echo
+ if ! PYTHONPATH="." ${python} layman/tests/dtest.py; then
+ eerror "DocTests failed - please submit a bug report"
+ die "DocTesting failed!"
+ fi
+}
+
+pkg_postinst() {
+ einfo "You are now ready to add overlays into your system."
+ einfo
+ einfo "layman -L"
+ einfo
+ einfo "will display a list of available overlays."
+ einfo
+ elog "Select an overlay and add it using"
+ einfo
+ elog "layman -a overlay-name"
+ einfo
+ elog "If this is the very first overlay you add with layman,"
+ elog "you need to append the following statement to your"
+ elog "/etc/make.conf file:"
+ elog
+ elog "source /usr/local/portage/layman/make.conf"
+ elog
+ elog "If you modify the 'storage' parameter in the layman"
+ elog "configuration file (/etc/layman/layman.cfg) you will"
+ elog "need to adapt the path given above to the new storage"
+ elog "directory."
+ einfo
+ ewarn "Please add the 'source' statement to make.conf only AFTER "
+ ewarn "you added your first overlay. Otherwise portage will fail."
+ epause 5
+}